/*
在bookdb库中创建 person 个人信息表。
表结构： person(login_id 登录编号，real_name 真实姓名, nick_name 昵称,  sex性别,  head 头像,  phone 手机号)

表字段说明：

1. login_id是引用login表的login_id
2. head是存储用户头像图片文件的路径，长度需要足够大。
3. sex 可以设置默认值，如男或女。 创建表或修改字段时，后面使用"default 默认值"设置。
*/

-- 进入 bookdb 数据库
USE bookdb;

-- 创建 person 个人信息表
CREATE TABLE IF NOT EXISTS 
person(
    -- 主键
    login_id INT,
    real_name VARCHAR(50),
    nick_name VARCHAR(50) COMMENT '昵称',
    sex CHAR(1) DEFAULT '男',
    head TEXT COMMENT '用户头像图片文件的路径',
    phone VARCHAR(11),
    -- 外键约束
    FOREIGN KEY (login_id) REFERENCES login(login_id)
);

-- 显示数据库 bookdb 结构
SHOW TABLES;

-- 显示 person 表结构
DESCRIBE person;
